Name: fatrat-subtitlesearch
Version: 1.2.0
Release: 0.3.beta1%{?dist}
Epoch: 1
Summary: FatRat plugin enabling OpenSubtitles.org and Sublight.si integration

License: GPLv2
URL: http://fatrat.dolezel.info
Source0: http://www.dolezel.info/download/data/%{name}/%{name}-%{version}_beta1.tar.gz

BuildRequires: cmake, fatrat-devel, qt-devel, qtsoap-devel
Requires: fatrat%{?_isa} >= %{epoch}:%{version}

Patch100: %{name}-qtsoap.patch

%description
FatRat is a download manager written in C++ and built on top of the Qt4
library. It is rich in features and is continuously extended.

This package contains plugin for integration with OpenSubtitles.org and
Sublight.si (easy subtitle searching).


%prep
%setup -q -n %{name}-%{version}_beta1

# remove bundled QtSoap library
rm -rf qtsoap
%patch100 -p1


%build
%{cmake} -DWITH_EVERYTHING=ON -DCMAKE_INSTALL_LIBDIR=%{_libdir} .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# upstream installs doc into a wrong directory, will be recreated in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc data/LICENSE data/TRANSLATIONS
%{_libdir}/fatrat/plugins/libfatrat-subtitlesearch.so


%changelog
* Tue May 22 2012 Jan Vcelak <jvcelak@redhat.com> 1.2.0-0.3.beta1
- fix changelog entries
- prefix patch names with name macro
- correctly handle the locales

* Wed Feb 08 2012 Jan Vcelak <jvcelak@redhat.com> 1:1.2.0-0.2.beta1
- use macro in Source0
- add comment about removing doc in specfile
- add localization files

* Mon Dec 12 2011 Jan Vcelak <jvcelak@redhat.com> 1:1.2.0-0.1.beta1
- fix License
- fix NVR to match Fedora Guidelines for pre-release

* Tue Nov 22 2011 Jan Vcelak <jvcelak@redhat.com> 1.2.0_beta1-1
- initial package for Fedora
